org.fourthline.cling.model.message.gena

## Class IncomingSubscribeRequestMessage

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<UpnpRequest>
  - - org.fourthline.cling.model.message.StreamRequestMessage
    - - org.fourthline.cling.model.message.gena.IncomingSubscribeRequestMessage

-     public class IncomingSubscribeRequestMessage
      extends StreamRequestMessage

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.model.message.StreamRequestMessage

      `connection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncomingSubscribeRequestMessage(StreamRequestMessage source, LocalService service)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<URL>` | `getCallbackURLs()`
    `Integer` | `getRequestedTimeoutSeconds()`
    `LocalService` | `getService()`
    `String` | `getSubscriptionId()`
    `boolean` | `hasNotificationHeader()`

    - ### Methods inherited from class org.fourthline.cling.model.message.StreamRequestMessage

      `getConnection, getUri, setConnection, setUri`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncomingSubscribeRequestMessage

          public IncomingSubscribeRequestMessage(StreamRequestMessage source,
                                         LocalService service)

  - ### Method Detail

    - #### getService

          public LocalService getService()

    - #### getCallbackURLs

          public List<URL> getCallbackURLs()

    - #### hasNotificationHeader

          public boolean hasNotificationHeader()

    - #### getRequestedTimeoutSeconds

          public Integer getRequestedTimeoutSeconds()

    - #### getSubscriptionId

          public String getSubscriptionId()

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.